<%@ page language="java" import="java.util.*,cn.com.ttcodes.util.*,cn.com.ttcodes.model.*" pageEncoding="GB18030"%>
<%
String path = request.getContextPath();
String basePath = request.getScheme()+"://"+request.getServerName()+":"+request.getServerPort()+path+"/";
%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
  <head>
    <base href="<%=basePath%>">
    
    <title>My JSP 'index.jsp' starting page</title>
	<meta http-equiv="pragma" content="no-cache">
	<meta http-equiv="cache-control" content="no-cache">
	<meta http-equiv="expires" content="0">    
	<meta http-equiv="keywords" content="keyword1,keyword2,keyword3">
	<meta http-equiv="description" content="This is my page">
	<!--
	<link rel="stylesheet" type="text/css" href="styles.css">
	-->
  </head>
  
  <body>
       <%
       
       	List list=(List)request.getAttribute("list");
       	String targetUrl=request.getParameter("targetUrl");
       %>
       <%
       	for(int i=0;i<list.size();i++){
       	Url url=(Url)list.get(i);
       	System.out.println(url);
       	if(url==null)
       	break;
       	System.out.println(url.getId());
       	System.out.println(url.getUrl());
       	String urlValue=url.getUrl().replace("¡¾qianliurl¡¿",targetUrl);
       	System.out.println(urlValue);
        %>
         <div>
        <iframe src="target.jsp?url=<%=urlValue%>" width="100%" height="100px"> </iframe>
        </div>
        <%} %>
        
  </body>
</html>
